package com.jeeplus.modules.sg.project.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

public class WbsProject extends DataEntity<WbsProject> {
    private String projectName;//工程名称
    private int number;  //项目数量
    private String userName; //创建人
    private String parentNode; //父节点

    private List<WbsItem> wbsItems; //项目


    public List<WbsItem> getWbsItems() {
        return wbsItems;
    }

    public void setWbsItems(List<WbsItem> wbsItems) {
        this.wbsItems = wbsItems;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public String getParentNode() {
        return parentNode;
    }

    public void setParentNode(String parentNode) {
        this.parentNode = parentNode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
